##### basic_seq_packet_socket::operator= (2 of 2 overloads)

Move-assign a `basic_seq_packet_socket` from a socket of another protocol type.

    template<
        typename Protocol1,
        typename Executor1>
    constraint_t< is_convertible< Protocol1, Protocol >::value &&is_convertible< Executor1, Executor >::value, basic_seq_packet_socket & > operator=(
        basic_seq_packet_socket< Protocol1, Executor1 > && other);

This assignment operator moves a sequenced packet socket from one object to another.

###### Parameters

other

  The other `basic_seq_packet_socket` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_seq_packet_socket(const executor_type&)` constructor.